import { Module } from '@nuxt/types';
import { GraphqlMiddlewarePluginConfig } from './templates/plugin';
import { GraphqlServerMiddlewareConfig } from './serverMiddleware';
import { GraphqlMiddlewareCodegenConfig } from './codegen';
export interface GraphqlMiddlewareConfig {
    graphqlServer: string;
    typescript?: GraphqlMiddlewareCodegenConfig;
    endpointNamespace?: string;
    debug: boolean;
    queries: Record<string, string>;
    mutations: Record<string, string>;
    outputPath: string;
    plugin?: GraphqlMiddlewarePluginConfig;
    server?: GraphqlServerMiddlewareConfig;
}
declare const graphqlMiddleware: Module;
export default graphqlMiddleware;
//# sourceMappingURL=module.d.ts.map