import { Request, RequestHandler } from 'express';
import * as Dom from 'graphql-request/dist/types.dom';
export interface GraphqlServerMiddlewareConfig {
    middleware?: RequestHandler;
    fetchOptions?: any;
    buildHeaders?: (req: Request, name: string, type: string) => any;
    buildEndpoint?: (req: Request) => string;
    onQueryResponse?: any;
    onQueryError?: any;
    onMutationResponse?: any;
    onMutationError?: any;
    graphqlClientOptions?: Dom.RequestInit;
}
export default function createServerMiddleware(graphqlServer: string, queries: Map<string, any>, mutations: Map<string, any>, config?: GraphqlServerMiddlewareConfig): import("express-serve-static-core").Express;
//# sourceMappingURL=serverMiddleware.d.ts.map